Subject: Re: [PATCH v2 2/8] progress.c tests: test some invalid usage

From: Emily Shaffer <[email-masked]>
Date: Thu, 7 Oct 2021 20:53:11 -0700

On Tue, Sep 21, 2021 at 01:09:23AM +0200, Ævar Arnfjörð Bjarmason wrote:
> 
> Test what happens when we "stop" without a "start", omit the "stop"
> after a "start", or try to start two concurrent progress bars. This
> extends the trace2 tests added in 98a13647408 (trace2: log progress
> time and throughput, 2020-05-12).

I wondered whether these tests were more testing the helper, rather than
testing the API, but I think this is a good change - you're correct that
having the helper assume correct usage by automatically
start_progress()ing and stop_progress()ing was an oversight. Thanks.

Diff is pretty straightforward.

Reviewed-by: Emily Shaffer <[email-masked]>